Bug 185292 - Hard Drive Install fails with ``Unable to read package metadata''
Hard Drive Install fails with ``Unable to read package metadata''
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-03-13 07:35 EST by Donald Harper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-25 16:51:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Donald Harper 2006-03-13 07:35:09 EST
Description of problem: Unable to use harddrive install option to install FC5B3
on my laptop

Version-Release number of selected component (if applicable):

How reproducible: Every try

Steps to Reproduce:
0. Load ISOs on an ext3 partition
1. Boot of CDROM and leave CDROM in drive
2. Select Harddrive
3. Select correct partition and directory
4. Start installation (partition, tz, root pw, etc)
5. Watch things go boom when starting to read package selection

Actual results:
Anaconda abends with:
Unable to read package metadata. This may be due to a missing
repodata directory.  Please ensure that your install tree has
been correctly generated.  failure: repodata/repomd.xml from
anaconda: [Errno 256] No more mirrors to try.

Expected results:
To install a nice, shinny FC5B3 load on my laptop.

Additional info:
Comment 1 Chris Lumens 2006-03-13 13:28:16 EST
What was the source for the ISO images?  Can you verify that they do have a
/repodata directory?
Comment 2 Donald Harper 2006-03-13 15:06:37 EST

root@0[ISOs]# ls
FC-5-Test3-i386-disc1.iso  FC-5-Test3-i386-disc3.iso  FC-5-Test3-i386-disc5.iso
FC-5-Test3-i386-disc2.iso  FC-5-Test3-i386-disc4.iso  mnt1
root@0[ISOs]# mount -oloop,ro FC-5-Test3-i386-disc1.iso mnt1/
root@0[ISOs]# cd mnt1/
root@0[mnt1]# ls -l
drwxr-sr-x    4 root     root         2048 Feb 16 15:00 Fedora
-rw-r--r--    8 root     root        18385 Apr  5  2005 GPL
-rw-r--r--    8 root     root         6799 Feb 15 16:12 README
-rw-r--r--    8 root     root        12667 Apr  5  2005 README-Accessibility
-rw-r--r--    8 root     root        95168 Feb 15 16:12 RELEASE-NOTES
-rw-r--r--    8 root     root         1910 Apr  5  2005 RPM-GPG-KEY
-rw-r--r--    8 root     root         1706 Apr  5  2005 RPM-GPG-KEY-beta
-rw-r--r--    8 root     root         1519 Apr  5  2005 RPM-GPG-KEY-fedora
-rw-r--r--    8 root     root         1105 Apr  5  2005 RPM-GPG-KEY-fedora-rawhide
-rw-r--r--    8 root     root         1076 Apr  5  2005 RPM-GPG-KEY-fedora-test
-rw-r--r--    8 root     root         1232 Apr  5  2005 RPM-GPG-KEY-rawhide
-r--r--r--    1 root     root         3811 Feb 16 15:09 TRANS.TBL
-rwxr-xr-x    3 root     root          248 May 26  2005 autorun
-rw-r--r--    4 root     root         5616 Apr  5  2005 eula.txt
drwxr-sr-x    4 root     root         2048 Feb 16 15:00 images
drwxr-sr-x    2 root     root         2048 Feb 16 15:00 isolinux
drwxr-sr-x    2 root     root         2048 Feb 16 15:09 repodata
root@0[mnt1]# ls -l repodata
-r--r--r--    1 root     root         1121 Feb 16 15:09 TRANS.TBL
-rw-r--r--    2 root     root       698401 Feb 16 15:09 comps.xml
-rw-r--r--    2 root     root      2216292 Feb 16 15:09 filelists.xml.gz
-rw-r--r--    2 root     root      4751194 Feb 16 15:09 other.xml.gz
-rw-r--r--    2 root     root       732088 Feb 16 15:09 primary.xml.gz
-rw-r--r--    2 root     root         1296 Feb 16 15:09 repomd.xml
Comment 3 Donald Harper 2006-03-14 22:48:15 EST
Sorry...missed the question about sources.  I used the torrent posted on the
fedora.redhat.com site to get them.  They pass the SHA1SUM test....
Comment 4 deneault 2006-03-27 19:54:40 EST
This problem carried over into the official FC5 release.  If any more
information is needed, please let me know as well and I can provide it.

The following is output from the mount command from the busybox VT.  My source
image is on /dev/sdb1, but I don't see that mounted here.

/proc on /proc type proc (rw)
/dev on /dev type tmpfs (rw)
/dev/pts on /dev/pts type devpts (rw)
/sys on /sys type sysfs (rw)
none on /tmp type ramfs (rw)
none on /tmp/ramfs type ramfs (rw)
/proc/bus/usb on /proc/bus/usb type usbfs (rw)
/tmp/loop1 on /mnt/runtime type squashfs (ro)
/selinux on /selinux type selinuxfs (rw)
/dev/hda1 on /mnt/sysimage type ext3 (rw,data=ordered)
/dev/hda3 on /mnt/sysimage/home type ext3 (rw,data=ordered)
/dev/proc on /mnt/sysimage/proc type proc (rw)
/dev/sys on /mnt/sysimage/sys type sysfs (rw)
/dev on /mnt/sysimage/dev type tmpfs (rw)

Here is a directory listing from /mnt/runtime/:
drwxr-xr-x    1 root     0             122 Mar 15 04:29 etc
drwxr-xr-x    1 root     0            1067 Mar 15 04:29 lib
drwxr-xr-x    1 root     0              45 Mar 15 04:29 usr

Comment 5 vigna 2006-04-03 12:27:11 EDT
Same problem here, and moreover the problem is replicated exactly even during an
HTTP install (from mirrors.dsi.unimi.it). I am starting the boot from diskboot.img.
Comment 6 vigna 2006-04-03 14:13:46 EDT
I don't know if this can help, but after failing with an external CD and HTTP, I
had success by installing from an ISO image on the hard disk.
Comment 7 Jeremy Katz 2006-04-10 12:14:19 EDT
I know we tested hard drive installs just prior to the release.  Chris -- can
you look into this.
Comment 8 Chris Lumens 2006-05-25 16:51:54 EDT
This is now fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.